<?php
session_start();
if (!isset($_SESSION['admin'])) {
    header('Location: index.php');
    exit;
}

$properties = json_decode(file_get_contents('properties.json'), true) ?: [];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="dashboard-container">
        <h1>Welcome, Admin</h1>
        <a href="add_property.php" class="btn">Add New Property</a>
        <a href="logout.php" class="btn">Logout</a>
        <h2>Existing Properties</h2>
        <ul>
            <?php foreach ($properties as $property): ?>
                <li>
                    <strong><?php echo htmlspecialchars($property['title']); ?></strong><br>
                    <a href="../property.php?id=<?php echo $property['id']; ?>">View</a>
                </li>
            <?php endforeach; ?>
        </ul>
    </div>
</body>
</html>
