<?php
// Define admin credentials (hashed password for security)
$admin_username = "admin";
$admin_password = password_hash("your_secure_password", PASSWORD_BCRYPT); // Set a strong password

// Function to handle secure data storage
function secure_data($data) {
    return htmlspecialchars(stripslashes(trim($data)));
}

// Function to verify admin credentials
function verify_login($username, $password) {
    global $admin_username, $admin_password;
    return $username === $admin_username && password_verify($password, $admin_password);
}
?>
