<?php
$properties = json_decode(file_get_contents('admin/properties.json'), true) ?: [];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PalakkadProperty.net</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <header>
        <h1>PalakkadProperty.net</h1>
        <h2>Your Source for Palakkad Property & Trusted Property Partner Since 2005</h2>
        <p>Contact Mujeeb: 9446083335 | WhatsApp: +919446083335</p>
        <p><a href="https://www.youtube.com/@MujeebRahman-lp8cw/videos" target="_blank">Visit our YouTube Channel</a></p>
    </header>

    <div class="property-list">
        <?php foreach ($properties as $property): ?>
            <div class="property-item">
                <h3><?php echo htmlspecialchars($property['title']); ?></h3>
                <p><?php echo htmlspecialchars($property['description']); ?></p>
                <img src="<?php echo $property['image1']; ?>" alt="Property Image 1">
                <?php if ($property['image2']): ?><img src="<?php echo $property['image2']; ?>" alt="Property Image 2"><?php endif; ?>
                <?php if ($property['image3']): ?><img src="<?php echo $property['image3']; ?>" alt="Property Image 3"><?php endif; ?>
                <?php if ($property['youtube_link']): ?>
                    <iframe width="560" height="315" src="<?php echo str_replace('watch?v=', 'embed/', $property['youtube_link']); ?>" allowfullscreen></iframe>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>
    </div>
</body>
</html>
