<?php
session_start();
if (!isset($_SESSION['admin'])) {
    header('Location: index.php');
    exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Property</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="form-container">
        <h2>Add New Property</h2>
        <form action="upload.php" method="post" enctype="multipart/form-data">
            <input type="text" name="title" placeholder="Property Title" required>
            <textarea name="description" placeholder="Property Description" required></textarea>
            <label>Image 1: <input type="file" name="image1" required></label>
            <label>Image 2: <input type="file" name="image2"></label>
            <label>Image 3: <input type="file" name="image3"></label>
            <input type="text" name="youtube_link" placeholder="YouTube Video Link">
            <button type="submit">Add Property</button>
        </form>
    </div>
</body>
</html>
